public class UnexpectedResponseException extends RuntimeException {
    private String _resp;

    public UnexpectedResponseException(String response, String expectation) {
	super("Unexpected response: wanted <" + expectation + ">, got <" + response + ">");
	_resp = response;
    }

    public String response() {
	return _resp;
    }
}
